// Copyright(C)SEGA 
#ifndef COLLADA_ASSET_H
#define COLLADA_ASSET_H

#include "Collada/Resource.h"

namespace Collada {

    class Contributor;
    class XMLElement;

    // AZbg
    class Asset : public Resource {

        // ̎(Y_UPȊO͎gȂ)
        enum UpAxis {

            UpAxis_X_UP,
            UpAxis_Y_UP,
            UpAxis_Z_UP,        

        };

    public:
        // RXgN^
        Asset() : mContributor(NULL), mUpAxis(UpAxis_Y_UP) {}

        // fXgN^
        ~Asset();

        // XMLݒ
        void toXML( XMLElement* e );

        // UpAxis𕶎Ŏ擾
        const char* upAxisStr( const UpAxis upAxis );

        // Rgr[^[
        Contributor* mContributor;

        // 쐬
        std::string mCreated;

        // C
        std::string mModified;

        // P
        Unit mUnit;

        // 
        UpAxis mUpAxis;

    };
}

#endif // COLLADA_ASSET_H
