// Copyright(C)SEGA 
#ifndef	COLLADA_EXTRA_H
#define	COLLADA_EXTRA_H

#include "Collada/Resource.h"
#include <string>

namespace Collada {

    class ExtraAttribute;
    class XMLElement;

    // extraɑNX
    // gAgr[gNX̃XgB
    class Extra : public Resource {

    public:
        // RXgN^
        Extra(); 

        // Rs[RXgN^
        Extra( const Extra& e );

        // fXgN^
        ~Extra();

        // gAgr[gǉ
        bool addExtraAttribute( ExtraAttribute* extraAttribute );

        // gAgr[gǉ(ȈՐݒ)
        void addExtraAttributeFloat( const std::string& attribute, const float value );

        // gAgr[gǉ(ȈՐݒ)
        void addExtraAttributeString( const std::string& attribute, const std::string& value );

        // gAgr[gǉ(ȈՐݒ)
        void addExtraAttributeInt( const std::string& attribute, const int value );

        // gAgr[gǉ(ȈՐݒ)
        void addExtraAttributeBool( const std::string& attribute, const bool value );

        // gAgr[gǉ(ȈՐݒ)
        void addExtraAttributeColor( const std::string& attribute, const Color& value );

        // gAgr[g擾(O)
        ExtraAttribute* getExtraAttribute( const std::string& name );

        // gAgr[g擾(Array)
        void getExtraAttribute( const std::string& id, std::vector< ExtraAttribute* >* ea );		


        // XMLݒ
        void toXML( XMLElement* e );

        // vt@C
        std::string mProfile;

        // gAgr[g(Q)
        std::vector< ExtraAttribute* > mExtraAttributes;

    };

}

#endif	// COLLADA_EXTRA_H
