// Copyright(C)SEGA 
#ifndef	COLLADA_EXTRA_ATTRIBUTE_H
#define	COLLADA_EXTRA_ATTRIBUTE_H

#include "Collada/Resource.h"
#include <vector>

namespace Collada {

    class Variant;
    class XMLElement;

    // gAgr[gNX
    // <extra>̒gɑNX
    class ExtraAttribute : public Resource {

    public:
        // RXgN^
        ExtraAttribute();

        // Rs[RXgN^
        ExtraAttribute( const ExtraAttribute& ea );

        // fXgN^
        ~ExtraAttribute();        

        // Agr[g擾
        Attribute* getAttribute( const std::string& name );

        // XMLݒ
        void toXML( XMLElement* e );        

        // operator==
        bool operator==( const ExtraAttribute& ea ) const;

        // operator!=
        bool operator!=( const ExtraAttribute& ea ) const;

        // Agr[g̃xN^
        std::vector< Attribute > mAttributes;

        // l
        Variant* mValue;

    };

}

#endif	// __COLLADA_EXTRA_ATTRIBUTE_H__
