// Copyright(C)SEGA 
#ifndef COLLADA_INSTANCE_GEOMETRY_H
#define COLLADA_INSTANCE_GEOMETRY_H

#include "Collada/Struct.h"

#include <string>
#include <vector>

namespace Collada {

    // CX^XWIg
    class InstanceGeometry {

    public:
        // RXgN^
        InstanceGeometry() {}

        // RXgN^ij
        InstanceGeometry( const std::string& u, std::vector< InstanceMaterial > im ) : mURL( u ), mInstanceMaterials( im ) {}

        // url
        std::string mURL;

        // CX^X}eÃXg
        std::vector< InstanceMaterial > mInstanceMaterials;

    };

}

#endif // COLLADA_INSTANCE_GEOMETRY_H
