// Copyright(C)SEGA 
#ifndef	COLLADA_LIGHT_H
#define COLLADA_LIGHT_H

#include "Collada/Resource.h"

namespace Collada {

    class Extra;
    class XMLElement;

    // CgNX
    class	Light : public Resource {

    public:
        // Cg̎
        enum LightType {

            LightType_DIRECTIONAL,
            LightType_POINT,
            LightType_SPOT,

        };

        // RXgN^
        Light() : mType( LightType_DIRECTIONAL ), mExtra(NULL) {}

        // XMLݒ
        void toXML( XMLElement* e );

        // J[
        Color	mColor;

        // ^Cv
        LightType mType;

        // gAgr[gXg(Q)
        Extra* mExtra; 

    };
}

#endif	// COLLADA_LIGHT_H
