// Copyright(C)SEGA 
#ifndef	COLLADA_POLYLIST_H
#define COLLADA_POLYLIST_H

#include "Collada/Resource.h"
#include <vector>

namespace Collada {

    class Material;
    class IntVector;

    // PolyList(v̓CfbNX)
    class PolyList : public Resource {

    public:
        // RXgN^
        PolyList() {}

        // fXgN^
        ~PolyList();

        // XMLݒ
        void toXML( XMLElement* e );

        // }eA
        std::string mMaterial;

        // |S̖
        std::vector< int > mVCounts;

        // input
        std::vector< Input > mInputs;

        // CfbNX(p)
        // offsetƂɕĎ
        std::vector< IntVector* > mIndices;

    };

}

#endif // COLLADA_POLYLIST_H
