// Copyright(C)SEGA 
#ifndef	COLLADA_RESOURCE_H
#define	COLLADA_RESOURCE_H

#include "Collada/Struct.h"
#include "Collada/Macro.h"

namespace Collada {

    class XMLElement;

    // ʂ̃NXiNameIdj
    class	Resource {

    public:
        // RXgN^
        Resource() {}

        // fXgN^
        virtual ~Resource() {}

        // XMLݒ(int)
        void setIntXML( const std::string& name,
            const int v,
            XMLElement* e );

        // XMLݒ(bool)
        void setBoolXML( const std::string& name,
            const bool v,
            XMLElement* e );

        // XMLݒ(float)
        void setFloatXML( const std::string& name, 
            const float v,
            XMLElement* e );

        // XMLݒ(Color)
        void setColorXML( const std::string& name,
            const Color& v,
            XMLElement* e );

        // XMLݒ(string)
        void setStringXML( const std::string& name,
            const std::string& v,
            XMLElement* e );

        // XMLݒ(Matrix)
        void setMatrixXML( const std::string& name,
            const Matrix& v,
            XMLElement* e );

        // O
        std::string mName;

        // ID
        std::string mId;

    };

}

#endif // COLLADA_RESOURCE_H
