// Copyright(C)SEGA 
#ifndef	COLLADA_SKIN_CONTROLLER_H
#define	COLLADA_SKIN_CONTROLLER_H

#include "Collada/Resource.h"
#include "Collada/Controller.h"

namespace Collada {

    class MatrixVector;
    class VertexWeights;
    class XMLElement;

    // XLRg[[iXLjOpNXj
    class SkinController : public Controller {

    public:
        // RXgN^
        SkinController();

        // fXgN^
        virtual ~SkinController();

        // XMLݒ
        void toXMLDetail( XMLElement* e );

        // VFCṽ}gbNX
        Matrix mBindShapeMatrix;

        // InvBindMatrix
        MatrixVector* mInvBindMatrix;

        // _EFCg
        VertexWeights* mVertexWeights;

    };

}

#endif	// COLLADA_SKIN_CONTROLLER_H
