// Copyright(C)SEGA 
#ifndef	COLLADA_XML_H
#define COLLADA_XML_H

#include <string>
#include <vector>

namespace Collada {

    // XML̃Agr[gNX
    // <Hoge a=0 b=1>a,bɑΉNX
    class XMLAttribute {

    public:
        // RXgN^(string)
        XMLAttribute( const std::string& n, const std::string& v );

        // RXgN^(int)
        XMLAttribute( const std::string& n, const int v );

        std::string mName; // Agr[g̖O
        std::string mValue; // Agr[g̒l

    };

    // XML̗vfNX
    // <>ɑΉ
    class XMLElement {

    public:
        // fXgN^
        ~XMLElement();

        std::string mName; // Gg̖O
        std::string mValue; // Gg̒l
        std::vector< XMLAttribute* > mAttributes; // Agr[gij
        std::vector< XMLElement* > mChildren; // Gg̎q

    };

    // XML͑ŜɑΉNX
    class XMLDocument {

    public:
        // RXgN^
        XMLDocument();

        // fXgN^
        ~XMLDocument();

        // o
        bool save( const std::string& filename );

        XMLElement* mRootElement; // [g

    };

};

#endif // COLLADA_XML_H

