// Copyright(C)SEGA 
#include "Collada/Controller.h"
#include "Collada/Macro.h"
#include "Collada/StructVector.h"
#include "Collada/Util.h"
#include "Collada/VertexWeights.h"
#include "Collada/XML.h"

namespace Collada {

    // RXgN^
    Controller::Controller() :
mTarget( NULL ),
mWeight( NULL )
{
}

// fXgN^
Controller::~Controller()
{
    SAFE_DELETE( mTarget );
    SAFE_DELETE( mWeight );
}

// XMLݒ
void Controller::toXML( XMLElement* e )
{
    e->mName = "controller";        
    e->mAttributes.push_back( new XMLAttribute( "id", mId ) );

    XMLElement* detailE = new XMLElement();
    toXMLDetail( detailE );
    e->mChildren.push_back( detailE );
}
}

