// Copyright(C)SEGA 
#ifndef	COLLADA_EXPORTER_CEOPTION_H
#define	COLLADA_EXPORTER_CEOPTION_H

#include <string>

class CEOption {

public:
    // RXgN^
    CEOption() : mExportAll( true ), mExportModel( true ), 
        mExportCamera( false ), mExportLight( false ), mExportShape( false ), 
        mExportAnim( false )
    {
    }

    // V[Ԃ
    std::string getSceneName() { return mSceneName; }

    // V[ݒ
    void setSceneName( const std::string& n ) { mSceneName = n; }

    // S̃GNX|[g擾
    bool getExportAll() const { return mExportAll; }

    // S̃GNX|[gݒ
    void setExportAll( const bool e ) { mExportAll = e; }

    // fGNX|[g擾
    bool getExportModel() const { return mExportModel; }

    // fGNX|[gݒ
    void setExportModel( const bool e ) { mExportModel = e; }

    // JGNX|[g擾
    bool getExportCamera() const { return mExportCamera; }

    // JGNX|[gݒ
    void setExportCamera( const bool e ) { mExportCamera = e; }

    // CgGNX|[g擾
    bool getExportLight() const { return mExportLight; }

    // CgGNX|[gݒ
    void setExportLight( const bool e ) { mExportLight = e; }

    // VFCvGNX|[g擾
    bool getExportShape() const { return mExportShape; }

    // VFCvGNX|[gݒ
    void setExportShape( const bool e ) { mExportShape = e; }

    // AjGNX|[g擾
    bool getExportAnim() const { return mExportAnim; }

    // AjGNX|[gݒ
    void setExportAnim( const bool e ) { mExportAnim = e; }

private:
    // V[
    std::string mSceneName;

    // S̃GNX|[g
    bool mExportAll;

    // fGNX|[g
    bool mExportModel;

    // JGNX|[g
    bool mExportCamera;

    // CgGNX|[g
    bool mExportLight;

    // VFCvGNX|[g
    bool mExportShape;

    // AjGNX|[g
    bool mExportAnim;

};

#endif	// COLLADA_EXPORTER_CEOPTION_H
