// Copyright(C)SEGA 
#ifndef	COLLADA_CAMERA_H
#define	COLLADA_CAMERA_H

#include "Collada/Resource.h"

namespace Collada {

    class Extra;
    class XMLElement;

    // J
    class Camera : public Resource {

    public:
        // RXgN^
        Camera() : mExtra( NULL ) {}

        // fXgN^
        virtual ~Camera();

        // XMLݒ
        void toXML( XMLElement* e );

        // yfov
        float mYfov;

        // AXyNg
        float mAspectRatio;

        // ZNear
        float mZNear;

        // ZFar
        float mZFar;

        // gAgr[gXg(Q)
        Extra* mExtra;

    };

}

#endif	// COLLADA_CAMERA_H
