// Copyright(C)SEGA 
#ifndef	COLLADA_COLOR_OR_TEXTURE_OR_FLOAT_H
#define	COLLADA_COLOR_OR_TEXTURE_OR_FLOAT_H

#include "Collada/Resource.h"
#include <vector>

namespace Collada {

    class	Texture;

    // ColorOrTextureOrFloat
    class	ColorOrTextureOrFloat : public Resource {

    public:
        // J[ƃeNX`Afloat̂ǂH
        enum Type {

            Type_COLOR,
            Type_TEXTURE,            
            Type_FLOAT,

        };

        // RXgN^
        ColorOrTextureOrFloat();

        // Rs[RXgN^
        ColorOrTextureOrFloat( const ColorOrTextureOrFloat& c );

        // fXgN^
        virtual ~ColorOrTextureOrFloat();

        // XMLݒ
        void toXML( XMLElement* e );

        // operator==
        bool operator==( const ColorOrTextureOrFloat& c ) const;

        // operator!=
        bool operator!=( const ColorOrTextureOrFloat& c ) const;		

        Type	mType;		// ^Cv
        Texture* mTexture;	// eNX`iQƁj
        Color	mColor;		// J[
        float	mFloat;		// float

        // Agr[g
        std::vector< Attribute > mAttribute;

    };

}

#endif	// COLLADA_COLOR_OR_TEXTURE_OR_FLOAT_H
