// Copyright(C)SEGA 
#ifndef	COLLADA_PROFILE_H
#define	COLLADA_PROFILE_H

#include "Collada/Resource.h"

namespace Collada {

    class Technique;
    class XMLElement;

    // vt@C
    class Profile : public Resource {

    public:
        // RXgN^
        Profile();

        // fXgN^
        ~Profile();

        // Sampler2D擾
        Sampler2D getSampler2D( const std::string& sid ) const;        

        // Surface擾
        Surface getSurface( const std::string& id ) const;        

        // XMLݒ
        void toXML( XMLElement* e );

        // SurfacẽXg
        std::vector< Surface > mSurfaces;

        // Sampler2D̃Xg
        std::vector< Sampler2D > mSampler2Ds;

        // eNjbNiQƁj
        Technique* mTechnique;

    };

}

#endif // COLLADA_PROFILE_H
