// Copyright(C)SEGA 
#ifndef	COLLADA_TRIANGLES_H
#define COLLADA_TRIANGLES_H

#include "Collada/Resource.h"
#include <vector>

namespace Collada {

    class Material;
    class IntVector;
    class XMLElement;

    // Triangles
    class Triangles : public Resource {

    public:
        // RXgN^
        Triangles();

        // Rs[RXgN^
        Triangles( const Triangles& tri );

        // fXgN^
        ~Triangles();

        // XMLݒ
        void toXML( XMLElement* e );

        // }eA
        std::string mMaterial;

        // Op`|S̖
        int mCount;

        // input
        std::vector< Input > mInputs;

        // CfbNX(p)
        // offsetƂɕĎ
        std::vector< IntVector* > mIndices;

    };

}

#endif // COLLADA_TRIANGLES_H
