// Copyright(C)SEGA 
#ifndef	COLLADA_UTIL_H
#define COLLADA_UTIL_H

#include "Collada/Enum.h"

#include <string>

namespace Collada {

    class Node;
    class VisualScene;
    class Collection;
    class Geometry;

    // UtilNX
    class Util {

    public:
        // InputSemantic𕶎ŕԂ
        static std::string getSemanticStr( const Semantic is );

        // #tsourceidɕϊ
        // i擪#Ƃ邾j
        static void sourceToId( const std::string& s, std::string* ret );

        // NodeċAIɌ(Node)
        static Node* findNode( Node* node, const std::string& nodeId );

        // NodeċAIɌ(VisualScene)
        static Node* findNode( VisualScene* visualScene, const std::string& nodeId );

        // GeometrygĂNodeċAIɌ(Collection)
        static Node* findNode( Collection* collection, Geometry* geometry );		

    };

}

#endif // COLLADA_UTIL_H
