// Copyright(C)SEGA 
#ifndef	COLLADA_VERTEX_WEIGHTS_H
#define COLLADA_VERTEX_WEIGHTS_H

#include "Collada/Resource.h"
#include <vector>

namespace Collada {

    class IntVector;

    // VertexWeights
    class VertexWeights : public Resource {

    public:
        // fXgN^
        ~VertexWeights();

        // inputǉ
        void addInput( const Semantic semantic,
            const char* source,
            const int offset );

        // XMLݒ
        void toXML( XMLElement* e );

        // |S̖
        std::vector< int > mVCounts;

        // input
        std::vector< Input > mInputs;

        // CfbNX(v)
        // offsetƂɕĎ
        std::vector< IntVector* > mIndices;

    };

}

#endif // COLLADA_VERTEX_WEIGHTS_H
