// Copyright(C)SEGA 
#include "Collada/Contributor.h"
#include "Collada/Util.h"

namespace Collada {

    // XMLݒ
    void Contributor::toXML( XMLElement* e )
    {
        e->mName = "contributor";

        XMLElement* authorE = new XMLElement();
        XMLElement* authoringToolE = new XMLElement();
        XMLElement* commentsE = new XMLElement();
        XMLElement* sourceDataE = new XMLElement();

        setStringXML( "author", mAuthor, authorE );
        setStringXML( "authoring_tool", mAuthoringTool, authoringToolE );
        setStringXML( "comments", mComments, commentsE );
        setStringXML( "source_data", mSourceData, sourceDataE );

        e->mChildren.push_back( authorE );
        e->mChildren.push_back( authoringToolE );
        e->mChildren.push_back( commentsE );
        e->mChildren.push_back( sourceDataE );
    }

};
