// Copyright(C)SEGA 
#include "Collada/Image.h"
#include "Collada/XML.h"

namespace Collada {

    // XMLݒ
    void Image::toXML( XMLElement* e )
    {
        e->mName = "image";
        e->mAttributes.push_back( new XMLAttribute( "id", mId ) );
        e->mAttributes.push_back( new XMLAttribute( "name", mName ) );        
        {
            XMLElement* initFromE = new XMLElement();
            initFromE->mName = "init_from";
            initFromE->mValue = mInitFrom;
            e->mChildren.push_back( initFromE );
        }
    }

}
