// Copyright(C)SEGA 
#include "CEWindows.h"

#include <Windows.h>
#include <time.h>

using namespace std;

// t@CRs[
bool CEWindows::copyFile( const string& src, const string& dst )
{
    if( 0 == CopyFile( src.c_str(), dst.c_str(), FALSE ) ) {

        return false;

    }
    return true;
}

// [U[擾
void CEWindows::getUserName( string* n )
{
    char userName[1024];
    DWORD userNameSize = 1024;
    GetUserName( userName, &userNameSize );

    *n = userName;
}

// Ԃ擾
void CEWindows::getTime( int* year,
                        int* mon,
                        int* day, 
                        int* hour, 
                        int* min, 
                        int* sec ) 
{
    struct tm localTime;
    __time64_t 	now_time;

    _time64( &now_time );
    _localtime64_s( &localTime, &now_time );

    *year = localTime.tm_year + 1900;
    *mon = localTime.tm_mon+1;
    *day = localTime.tm_mday;
    *hour = localTime.tm_hour;
    *min = localTime.tm_min;
    *sec = localTime.tm_sec;
}

